function GenerateAtten()
%GenerateAtten() Generates attenuation coefficients for current model
%   Kevin Mackie, 2002/07/23
%   University of California Berkeley
%   Department of Civil and Environmental Engineering
%   mackie@ce.berkeley.edu

global XAX;
global YAX;
global TYP;
global GRP;
global FIT;
global SIG;
global MODEL;
global DEQ;
global SUMLOC;

global NVALS;
global IM_ARR;
global DM_ARR;
global RS_ARR;

plottype = MODEL;
			 
[T1,PData]=LoadMenu(SUMLOC,MODEL);

[mm,nn]=size(PData);
totalarr=[];
for k=1:nn,
   % ignore parameter groups with -1 designation
   if PData{k}.defs > -1,
      totalarr=[totalarr k];
   end;
end;

RMX=[];
cval=1;
for k=totalarr,
   clear grpy;
   [grpy,bins]=MakeMatrix(MODEL,TYP,k,PData{k},XAX,YAX);
	  
   [m,n]=size(grpy);
   [xylog,linexlog,lineylog,Fits,Dispersion,ssig]=FitData(grpy,FIT,bins);

   for j=1:n,
      oner=ones(length(grpy{j}.v(:,1)),1);
	  oned=ones(length(oner)/n,1);
	  nMX=[log(grpy{j}.v(:,1)) oner log(grpy{j}.v(:,2))];
	  for i=totalarr,
	     if i~=k,
	        nMX=[nMX PData{i}.defs*oner];
		 else
		    if ischar(PData{i}.vals(j)),
			   % 65 is char code for A - used for ksoil design parameter
     		   nMX=[nMX oner*(PData{i}.vals(j)-64)];
			else
			   nMX=[nMX oner*PData{i}.vals(j)];
			end;
		 end;
      end;
	  RMX=[RMX;nMX];
   end;

   disp(sprintf('Done processing %s...',PData{k}.name));
   bvals{cval}=PData{k}.name;
   dvals(cval)=PData{k}.defs;
   cval=cval+1;
end;  

% output to file
%save ass.txt RMX -ascii;

b=regress(RMX(:,1),RMX(:,2:cval+2));

for p=cval:10,
   bvals{p}='None';
   dvals(p)=0;
end;

global b_in;
b_in=b;
AttenGUI(bvals,dvals);
clear b_in;
